ConfigEipProbe

1. API Description

This API (ConfigEipProbe) is used to configure public network probe of an elastic IP.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

eipId

Yes

String

The elastic IP ID for configuring public network probe.

disableIcmp

Yes

Boolean

Whether to disable ICMP.

tcpPort

No

Integer

TCP probe port, range [1-65535].

Not passing means disabled.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Configure public network probe of an elastic IP.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ConfigEipProbe
<Common Request Params>

Request:
{
    "eipId": "eipId1",
    "disableIcmp": true,
    "tcpPort": 20
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_EIP_NOT_FOUND

Elastic IP does not exist.

400

OPERATION_DENIED_EIP_PROBE_TCP_PORT_INVALID

The TCP probe port is invalid.

500

OPERATION_DENIED_EIP_STATUS_NOT_SUPPORT

Operation is not supported for the elastic IP in current status.

Last updated